unit uGaugeForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, rmGauge;

type
  TGaugeForm = class(TForm)
    balken: TrmGauge;
  private
    { Private declarations }
  public
    procedure Activate;
    procedure Deactivate;
    procedure SetBalken( Prozent : Integer );
    { Public declarations }
  end;

var
  gaugeForm: TGaugeForm;

implementation

{$R *.dfm}

procedure TGaugeForm.Activate;
begin
        Show;
        balken.Percent := 0;
end;

procedure TGaugeForm.Deactivate;
begin
        Hide;
end;

procedure TGaugeForm.SetBalken( Prozent : Integer );
begin
        balken.Percent := Prozent;
        Application.ProcessMessages;
end;

end.
